OPENRC(8)

NAME
openrc - stops and starts services for the specified runlevel

SYNOPSIS
openrc [-n, --no-stop] [-o, --override] [runlevel]

DESCRIPTION
openrc first stops any services that are not in the specified runlevel unless --no-stop is specified, then starts any services in the runlevel and stacked runlevels added by rc-update that are not currently started. If no runlevel is specified, we use the current runlevel.

There are some special runlevels that you should be aware of:

sysinit
    Brings up any system specific stuff such as /dev, /proc and optionally /sys for Linux based systems. It also mounts /run/openrc as a ramdisk using tmpfs where available unless / is mounted rw at boot. openrc uses /run/openrc to hold state information about the services it runs. sysinit always runs when the host first starts should not be run again.

boot
    Generally the only services you should add to the boot runlevel are those which deal with the mounting of filesystems, set the initial state of attached peripherals and logging. Hotplugged services are added to the boot runlevel by the system. All services in the boot and sysinit runlevels are automatically included in all other runlevels except for those listed here.

single
    Stops all services except for those in the sysinit runlevel.

reboot
    Changes to the shutdown runlevel and then reboots the host.

shutdown
    Changes to the shutdown runlevel and then halts the host.

You should not call any of these runlevels yourself. Instead you should use init(8) and shutdown(8) and let them call these special runlevels.

OPTIONS

-n, --no-stop
    Do not stop any services.

-o, --override
    Override the next runlevel to change into when leaving single user or boot runlevels

-s, --service
    Run the service specified with the rest of the arguments.

-S, --sys
    Output the RC system type, if any.

-h, --help
    Display usage information and exit.

-C, --nocolor
    Disable color output.

-V, --version
    Display software version.

-v, --verbose
    Run verbosely.

-q, --quiet
    Run quietly (repeat to suppress errors).

SEE ALSO
openrc-run(8), rc-status(8), rc-update(8), init(8), shutdown(8)

AUTHORS
Roy Marples <roy@marples.name>